import request from '@/utils/request';

export function listOwnApply(query) {
  return request({
    url: '/workstudy/worklog/listOwnApply',
    method: 'get',
    params: query
  })
}

export function doApply(data) {
  return request({
    url: '/workstudy/worklog/doApply',
    method: 'post',
    data: data
  })
}

export function cancelApply(id) {
  return request({
    url: '/workstudy/worklog/cancelApply/' + id,
    method: 'post'
  })
}

export function computeTimeByStuNo() {
  return request({
    url: '/workstudy/worklog/computeTimeByStuNo',
    method: 'get',
  });
}

// 学生能选择的勤工助学的岗位
export function listOwnCanSelectPost(query) {
  return request({
    url: '/workstudy/stuPost/listOwnCanSelectPost',
    method: 'get',
    params: query
  })
}